Desinstalacion de aplicaciones

5 envíos / 0 nuevos
Último envío
#1 Sáb, 22/10/2016 - 15:54
mario
Imagen de mario
Desconectado/a
se unió: 22/10/16

Desinstalacion de aplicaciones

Estado: 
[SOLUCIONADO]

Hola, buenas noches.

Recientemente he instalado debian stretch en mi portatil con el escritorio cinnamon. El caso es que viene ciertas aplicaciones preinstaladas como por ejemplo icedove, totem, pidgin, etc que no me interesan.

Al intentar desinstalar dichas aplicaciones me obliga a instalar un sustituto, por ejemplo icedove por evolution, cosa que no me interesa. ¿Como podria eliminar sin que me instale un sustituto?

 

Muchas gracias.

Sáb, 22/10/2016 - 18:19
moonwatcher
Imagen de moonwatcher
Desconectado/a
moderador
se unió: 21/01/16

"Al intentar desinstalar dichas aplicaciones me obliga a instalar un sustituto" 

Explicame eso. ¿no te deja desinstalar icedove porque te obliga a instalar otro? Yo quiero ver eso.

Copia aqui la salida de:

aptitude remove icedove

 

We were but stones. Your light made us stars

https://linuxveredas.blogspot.com.es/

Dom, 23/10/2016 - 10:15 (Responder a #2)
mario
Imagen de mario
Desconectado/a
se unió: 22/10/16

Hola, nunca habia usado aptitude, es mas no lo tenia instalado. Te pongo lo que me sale con apt-get:

sudo apt-get purge --auto-remove icedove
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Se instalarán los siguientes paquetes adicionales:
  bogofilter bogofilter-bdb bogofilter-common evolution evolution-common evolution-data-server evolution-data-server-common evolution-plugins gnupg2
  libboost-atomic1.61.0 libboost-thread1.61.0 libcamel-1.2-59 libchamplain-0.12-0 libchamplain-gtk-0.12-0 libcryptui0a libebackend-1.2-10
  libebook-1.2-16 libebook-contacts-1.2-2 libecal-1.2-19 libedata-book-1.2-25 libedata-cal-1.2-28 libedataserver-1.2-22 libedataserverui-1.2-1
  libevolution libgnome-autoar-0-0 libgnome-autoar-common libgnome-autoar-gtk-0-0 libphonenumber7 libprotobuf10 libpst4 libytnef0 seahorse
  seahorse-daemon
Paquetes sugeridos:
  db5.3-util doc-base evolution-ews evolution-plugins-experimental
Los siguientes paquetes se ELIMINARÁN:
  icedove* iceowl-extension*
Se instalarán los siguientes paquetes NUEVOS:
  bogofilter bogofilter-bdb bogofilter-common evolution evolution-common evolution-data-server evolution-data-server-common evolution-plugins gnupg2
  libboost-atomic1.61.0 libboost-thread1.61.0 libcamel-1.2-59 libchamplain-0.12-0 libchamplain-gtk-0.12-0 libcryptui0a libebackend-1.2-10
  libebook-1.2-16 libebook-contacts-1.2-2 libecal-1.2-19 libedata-book-1.2-25 libedata-cal-1.2-28 libedataserver-1.2-22 libedataserverui-1.2-1
  libevolution libgnome-autoar-0-0 libgnome-autoar-common libgnome-autoar-gtk-0-0 libphonenumber7 libprotobuf10 libpst4 libytnef0 seahorse
  seahorse-daemon
0 actualizados, 33 nuevos se instalarán, 2 para eliminar y 0 no actualizados.
Se necesita descargar 17,1 MB/17,1 MB de archivos.
Se utilizarán 7.775 kB de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n] 

Y esto con aptitude:

 

sudo aptitude remove icedove
Se ELIMINARÁN los siguientes paquetes:           
  icedove iceowl-extension{u} 
0 paquetes actualizados, 0 nuevos instalados, 2 para eliminar y 0 sin actualizar.
Necesito descargar 0 B de ficheros. Después de desempaquetar se liberarán 90,1 MB.
No se satisfacen las dependencias de los siguientes paquetes:
 cinnamon-desktop-environment : Depende: icedove but it is not going to be installed o
                                         thunderbird which is a virtual package and is not provided by any available package
 o
                                         evolution but it is not going to be installed o
                                         geary but it is not going to be installed
Las acciones siguientes resolverán estas dependencias

     Instalar los paquetes siguientes:
1)     geary [0.11.2-2 (testing)]     



¿Acepta esta solución? [Y/n/q/?]n
Las acciones siguientes resolverán estas dependencias

      Instalar los paquetes siguientes:                     
1)      bogofilter [1.2.4+dfsg1-8 (testing)]                
2)      bogofilter-bdb [1.2.4+dfsg1-8 (testing)]            
3)      bogofilter-common [1.2.4+dfsg1-8 (testing)]         
4)      evolution [3.22.1-1 (testing)]                      
5)      evolution-common [3.22.1-1 (testing)]               
6)      evolution-data-server [3.22.1-2 (testing)]          
7)      evolution-data-server-common [3.22.1-2 (testing)]   
8)      evolution-plugins [3.22.1-1 (testing)]              
9)      gnupg2 [2.1.15-4 (testing)]                         
10)     libboost-atomic1.61.0 [1.61.0+dfsg-2.1+b1 (testing)]
11)     libboost-thread1.61.0 [1.61.0+dfsg-2.1+b1 (testing)]
12)     libcamel-1.2-59 [3.22.1-2 (testing)]                
13)     libchamplain-0.12-0 [0.12.14-1 (testing)]           
14)     libchamplain-gtk-0.12-0 [0.12.14-1 (testing)]       
15)     libcryptui0a [3.12.2-2 (testing)]                   
16)     libebackend-1.2-10 [3.22.1-2 (testing)]             
17)     libebook-1.2-16 [3.22.1-2 (testing)]                
18)     libebook-contacts-1.2-2 [3.22.1-2 (testing)]        
19)     libecal-1.2-19 [3.22.1-2 (testing)]                 
20)     libedata-book-1.2-25 [3.22.1-2 (testing)]           
21)     libedata-cal-1.2-28 [3.22.1-2 (testing)]            
22)     libedataserver-1.2-22 [3.22.1-2 (testing)]          
23)     libedataserverui-1.2-1 [3.22.1-2 (testing)]         
24)     libevolution [3.22.1-1 (testing)]                   
25)     libgnome-autoar-0-0 [0.1.1-4+b1 (testing)]          
26)     libgnome-autoar-common [0.1.1-4 (testing)]          
27)     libgnome-autoar-gtk-0-0 [0.1.1-4+b1 (testing)]      
28)     libphonenumber7 [7.1.0-5 (testing)]                 
29)     libprotobuf10 [3.0.0-7 (testing)]                   
30)     libpst4 [0.6.59-1 (testing)]                        
31)     libytnef0 [1.5-9 (testing)]                         
32)     seahorse [3.20.0-2 (testing)]                       
33)     seahorse-daemon [3.12.2-2 (testing)]                



¿Acepta esta solución? [Y/n/q/?]q

¿Puede que instalando el paquete geary me evite instalar todos los que me salen?

 

Un saludo.

Dom, 23/10/2016 - 12:41
rockyiii
Imagen de rockyiii
Conectado
administrator
se unió: 11/01/16

El problema es que cinnamon-desktop-environment  por algún motivo requiere como dependencia a un programa de correo electrónico y geary también es un programa de correo

Como lo veo ahora estas en una encrucijada; o te quedas con icedove o instalas evolution o geary;  o eliminas (además de los paquetes que querías eliminar) cinnamon-desktop-environment, que como seguramente es un metapaquete te va a querer eliminar quien sabe que cantidad de cosas (hasta te podría pedir de eliminar libreoffice xddd).

En caso de querer seguir este ultimo rumbo, como primer medida antes de proceder con la desinstalación, vas a tener que copiar la lista de paquetes a eliminar  (que seguramente a a ser muy larga xdd) y desde https://www.debian.org/distrib/packages vas a poder ir sabiendo que hace cada uno. Después, solamente reinstalas aquellos que vos crees que son necesarios y a medida que los necesites iras instalando los restantes.

--Aclaro:

podes reistalarlos o antes de eliminar , copias la lista y los marcas como instalados manualmente
 

apt-mark manual paquete1 paquete2 etc
o
aptitude unmarkauto paquete1 paquete2 etc

 

Por lo general, los escritorios tienen tienen 3 grandes metapaquetes, el primero el que lleva el nombre de la distro por ejemplo: gnome, mate, etc, etc; el segundo el que lleva el nombre desktop-environment por ejemplo: gnome-desktop-environment, mate-desktop-environment, etc; y por último el que trae el nombre core, por ejemplo gnome-core, mate-core, etc.

El primer metapaquete, por lo general, tiene como dependencias a los otros dos metapaquetes, por lo cual al querer eliminar cinnamon-desktop-environment el metapaquete cinnamon también sera eliminado junto con sus dependencias. El que si o si no te puede faltar es el metapaquete cinnamon-core

 

---offtopic-----

una de las ventajas que nos da el instalador de debian, es la posibilidad de instalar un sistema base, para luego ir instalando las X, el sonido, el escritorio, y los programas que mas nos gusten. Claro que esto implica mas tiempo y un poco mas de conocimiento, pero ganamos al tener un sistema con un mayor control nuestro sobre los programas instalados en él.

Y  cuando se opta por un escritorio determinado, lo mejor es empezar instalado la versión core. gnome-core, mate-core, etc, etc y si después vemos que el escritorio queda muy básico instalamos el desktop-environment o buscamos los paquetes que instala y los vamos instalando manualmente.

 

saludos...

Lun, 24/10/2016 - 16:40
mario
Imagen de mario
Desconectado/a
se unió: 22/10/16

Buenas noches,

Finalmente desinstale cinnamon-desktop-environment y afortunadamente solo me deinstalaba task-cinnamon-desktop que no parece muy relevante.

Ahora por fin, como comentastes ya puedo deinstalar los programas con los que tenia problemas.

 

Muchas gracias.